package com.tanpu.community.api.beans.vo.feign.activity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description 线下活动
 * @Author wangyalei
 * @Date 2021/9/5 下午9:37
 **/
@ApiModel
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OfflineActivitySimpleResp {

    /**
     * 活动Id
     */
    @ApiModelProperty(value = "活动Id")
    private String activityId;

    /**
     * 活动类型 1线下活动 2招募活动
     */
    @ApiModelProperty(value = "活动类型 1线下活动 2招募活动")
    private Integer activityType;

    /**
     * 活动标题
     */
    @ApiModelProperty(value = "活动标题")
    private String activityTitle;

    /**
     * 活动封面图
     */
    @ApiModelProperty(value = "活动封面图")
    private String activityCoverUrl;

    /**
     * 活动开始时间
     */
    @ApiModelProperty(value = "活动开始时间")
    private Long activityStartTime;

    /**
     * 活动结束时间
     */
    @ApiModelProperty(value = "活动结束时间")
    private Long activityEndTime;

    /**
     * 活动地点
     */
    @ApiModelProperty(value = "活动地点")
    private String activityLocation;


}
